#include <bits/stdc++.h>

using namespace std;

int a[200005];

bool moze(int manji, int tp, int veci)
{
    if (tp==0) return 0;
    if (manji+tp<=veci) return false;
    if (veci+tp<manji) return false;
    return true;
}

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0),cout.tie(0);

    int n,q; cin>>n>>q;
    for (int i=0;i<n;i++) cin>>a[i];

    sort(a,a+n);

    while (q--)
    {
        int x; cin>>x;
        int manji=lower_bound(a,a+n,x)-a;
        int veci=a+n-upper_bound(a,a+n,x);

        int tp=n-manji-veci;

        int l=tp-1,r=1e9;
        while (r-l>1)
        {
            int mid=(l+r)/2;
            if (moze(manji,mid,veci)) r=mid;
            else l=mid;
        }

        cout<<r-tp<<"\n";
    }
}